Evaluate By Key And Tenant
curl --request POST \
--url http://{host}:{port}/{contextPath}/decision-definition/key/{key}/tenant-id/{tenant-id}/evaluate \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"variables": {
"amount": {
"value": 600,
"type": "Double"
},
"invoiceCategory": {
"value": "Misc",
"type": "String"
}
}
}
'import requests
url = "http://{host}:{port}/{contextPath}/decision-definition/key/{key}/tenant-id/{tenant-id}/evaluate"
payload = { "variables": {
"amount": {
"value": 600,
"type": "Double"
},
"invoiceCategory": {
"value": "Misc",
"type": "String"
}
} }
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
variables: {
amount: {value: 600, type: 'Double'},
invoiceCategory: {value: 'Misc', type: 'String'}
}
})
};
fetch('http://{host}:{port}/{contextPath}/decision-definition/key/{key}/tenant-id/{tenant-id}/evaluate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"result": {
"value": "management",
"type": "String",
"valueInfo": null
}
}
]{
"type": "<string>",
"message": "<string>",
"code": 123
}Decision Definition
Evaluate By Key And Tenant
Evaluates the latest version of the decision definition for tenant. The input values of the decision have to be supplied in the request body.
POST
/
decision-definition
/
key
/
{key}
/
tenant-id
/
{tenant-id}
/
evaluate
Evaluate By Key And Tenant
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The key of the decision definition (the latest version thereof) to be evaluated.
The id of the tenant the decision definition belongs to.
Body
application/json
Show child attributes
Show child attributes
Response
Request successful.
Show child attributes
Show child attributes
⌘I